> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://tc.docs.syndicate.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tc.docs.syndicate.io/_mcp/server.

# Get EIP712 Typed Data Signatures by Project

GET https://api.syndicate.io/wallet/project/{projectId}/signatures

Get EIP712 typed data signatures for a project

Reference: https://tc.docs.syndicate.io/api/signatures/get-project-signatures

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (UUID, required)

## Response

### 200

- `set of Signature`

## Types

### Signature

- `signatureId` (UUID, required)
- `projectId` (UUID, required)
- `walletAddress` (string, required)
- `domain` (EIP712Domain, required)
- `types` (map from string to set of EIP712Types, required)
- `message` (map from string to any, required)
- `primaryType` (string, required)
- `signature` (string, required)
- `createdAt` (datetime, required)
- `lookups` (set of ContractLookup, optional)

### EIP712Domain

- `chainId` (integer, required)
- `name` (string, optional)
- `version` (string, optional)
- `verifyingContract` (string, optional)
- `salt` (string, optional)

### EIP712Types

- `name` (string, required)
- `type` (string, required)

### ContractLookup

Specify a pure or view function on a contract at 'contractAddress' on a specific 'chainId' to read data from. 'args' are optional, but must be passed if specified in the human readable 'functionSignature'

- `chainId` (integer, required) — The chain ID for the network (e.g. 1 for Ethereum Mainnet, 137 for Polygon Mainnet, 80001 for Polygon Mumbai). For a complete list of chain IDs, see [ChainList](https://chainlist.org/?search=&testnets=true).
- `contractAddress` (string, required) — The contract address to send request to
- `functionSignature` (string, required) — The human readable signature to call on the contract
- `operation` (enum, required)
  - Allowed values: `eq`, `gt`, `lt`
- `type` (enum, required)
  - Allowed values: `contract`
- `value` (string, required)
- `args` (map from string to any, optional) — (Optional) The function arguments for the read contract call. The keys are the argument names or index from the provided 'functionSignature' and the values are the argument values.

## Examples

**Response**

```json
[
  {
    "signatureId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
    "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
    "walletAddress": "walletAddress",
    "domain": {
      "chainId": 1,
      "name": "name",
      "version": "version",
      "verifyingContract": "verifyingContract",
      "salt": "salt"
    },
    "types": {
      "types": [
        {
          "name": "name",
          "type": "type"
        }
      ]
    },
    "message": {
      "message": {
        "key": "value"
      }
    },
    "primaryType": "primaryType",
    "signature": "signature",
    "createdAt": "2024-01-15T09:30:00Z",
    "lookups": [
      {
        "chainId": 1,
        "contractAddress": "contractAddress",
        "functionSignature": "functionSignature",
        "type": "contract",
        "args": {
          "args": {
            "key": "value"
          }
        }
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```